### Method

# Devhelp BookList remove_book

since: 3.30

#### Declaration [src]

    void
    dh_book_list_remove_book (
      DhBookList* book_list,
      DhBook* book
    )

#### Description [src]

Emits the `DhBookList::remove-book` signal.

It is a programmer error to call this function if `book` is not present in `book_list`.

Available since: 3.30

#### Parameters

`book`

  Type: `DhBook`

  A `DhBook`.

  The data is owned by the caller of the method.